<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:g="http://www.ihe.net/gazelle"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <s:div id="globalDiv">
            <h:form>
                <ui:decorate template="/layout/form/_form_page.xhtml">
                    <h1>#{messages['gazelle.PAMSimulator.SUTConfigurationsPreferences']}</h1>
                    <gri:panel pid="editPanel" rendered="#{sutPreferencesEditor.selectedPreferences != null}">
                        <f:facet name="header">#{messages['gazelle.PAMSimulator.EditPreferences']}</f:facet>
                        <h2>#{messages['gazelle.HL7Common.SutConfiguration']}</h2>
                        <dl class="dl-horizontal">
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.simu.SystemsName']}</ui:define>
                                <h:outputText value="#{sutPreferencesEditor.selectedPreferences.systemName}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.PAMSimulator.ConfigurationsName']}</ui:define>
                                <h:outputText value="#{sutPreferencesEditor.selectedPreferences.name}"/>
                            </s:decorate>
                        </dl>
                        <s:div id="aaEdit">
                            <h2>#{messages['gazelle.pam.AssigningAuthorities']}</h2>
                            <h:outputText
                                    value="#{messages['gazelle.PAMSimulator.SelectBelowTheAssigningAuthoritiesFromWhichYourS']}"
                                    styleClass="help-block"/>
                            <s:decorate template="/layout/form/_checkbox.xhtml">
                                <h:selectBooleanCheckbox value="#{sutPreferencesEditor.displayOnlyConnectathonAuthorities}">
                                    <a4j:ajax event="change" render="aaEdit"/>
                                </h:selectBooleanCheckbox>
                                <h:outputText value="#{messages['gazelle.PAMSimulator.ShowOnlyAssigningAuthoritiesUsedForConnectathon']}"/>
                            </s:decorate>
                            <rich:pickList value="#{sutPreferencesEditor.selectedPreferences.assigningAuthorities}" var="aa"
                                           listWidth="350px" sourceCaption="Available assigning authorities"
                                           targetCaption="Selected assigning authorities" orderable="false">
                                <s:selectItems value="#{sutPreferencesEditor.getAvailableAssigningAuthorities()}" var="hd"
                                               label="#{hd.displayWithAmp()}"/>
                                <g:column>
                                    <h:outputText value="#{aa.displayWithAmp()}"/>
                                </g:column>
                            </rich:pickList>
                        </s:div>
                        <s:div id="messageDiv" rendered="#{sutPreferencesEditor.isConnectathonFeatureActivated()}">
                            <h2>#{messages['gazelle.PAMSimulator.PreferredMessage']}</h2>
                            <h:outputText value="#{messages['gazelle.PAMSimulator.SelectBelowThePreferredMessageToFeedYourSystemWi']}"
                                          styleClass="help-block"/>
                            <div class="form-horizontal">
                                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:param name="id" value="messageIn"/>
                                    <ui:define name="label">#{messages['gazelle.PAMSimulator.PreferredMessage']}</ui:define>
                                    <h:selectOneMenu value="#{sutPreferencesEditor.selectedPreferences.preferredMessage}"
                                                     styleClass="form-control  gzl-select-text" id="messageIn">
                                        <f:selectItems value="#{sutPreferencesEditor.selectedPreferences.getAvailableMessageTypes()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </div>
                        </s:div>
                        <f:facet name="footer">
                            <a4j:commandButton value="#{messages['gazelle.HL7Common.Save']}"
                                               actionListener="#{sutPreferencesEditor.saveChanges()}"
                                               render="globalDiv"
                                               styleClass="gzl-btn-green"/>
                            <a4j:commandButton value="#{messages['gazelle.HL7Common.Back']}"
                                               action="#{sutPreferencesEditor.backToList()}"
                                               byPassUpdates="true"
                                               styleClass="gzl-btn-red"/>
                            <a4j:commandButton value="#{messages['gazelle.PAMSimulator.BackToList']}"
                                               action="#{sutPreferencesEditor.backToList()}"
                                               styleClass="gzl-btn"/>
                        </f:facet>
                    </gri:panel>
                    <gri:panel pid="creationPanel"
                               rendered="#{sutPreferencesEditor.selectedPreferences == null}">
                        <f:facet name="header">#{messages['gazelle.PAMSimulator.CreatePreferences']}</f:facet>
                        <div class="form-horizontal">
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="sutIn"/>
                                <ui:define name="label">#{messages['gazelle.HL7Common.SutConfiguration']}</ui:define>
                                <h:selectOneMenu value="#{sutPreferencesEditor.selectedConfiguration}"
                                                 styleClass="form-control  gzl-select-text" id="sutIn">
                                    <s:selectItems value="#{sutPreferencesEditor.getSystemConfigurationWithoutPreferences()}"
                                                   var="entry" label="#{entry.name}" noSelectionLabel="#{messages['net.ihe.gazelle.simulators.PleaseSelect']}"/>
                                </h:selectOneMenu>
                            </s:decorate>
                        </div>
                        <f:facet name="footer">
                            <a4j:commandButton value="#{messages['gazelle.simu.Confirm']}"
                                               actionListener="#{sutPreferencesEditor.createPreferencesForSelectedSystem()}"
                                               render="globalDiv"
                                               styleClass="gzl-btn-green"/>
                            <a4j:commandButton value="#{messages['gazelle.HL7Common.Back']}"
                                               action="#{sutPreferencesEditor.backToList()}"
                                               byPassUpdates="true"
                                               styleClass="gzl-btn-red"/>
                        </f:facet>
                    </gri:panel>
                </ui:decorate>
            </h:form>
        </s:div>
    </ui:define>
</ui:composition>